Bug 1202323 - Pipelight plugin not working after update to Firefox 36
Summary: Pipelight plugin not working after update to Firefox 36
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pipelight
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 11:56 UTC by beaver.pv
Modified: 2015-06-30 00:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:15:16 UTC
Type: Bug


Attachments (Terms of Use)

Description beaver.pv 2015-03-16 11:56:51 UTC
Unable to use any site which require Unity3D plugin. Was working fine before update of Firefox. Tried to reinstall, re-enable, create Firefox plugins again and so on but no luck at all.

pipelight/plugin state:
$ pipelight-plugin --list-enabled
unity3d

pipelight debug log:

(firefox:31844): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:31844): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:31844): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:31844): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
*** Found new cache API
*** Found old cache API
FoxyProxy settingsDir: /home/Beaver/.mozilla/firefox/ttrfepzs.default/foxyproxy.xml
[PIPELIGHT:LIN:unknown] attached to process.
[PIPELIGHT:LIN:unknown] checking environment variable PIPELIGHT_UNITY3D_CONFIG.
[PIPELIGHT:LIN:unknown] searching for config file pipelight-unity3d.
[PIPELIGHT:LIN:unknown] trying to load config file from '/home/Beaver/.config/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/etc/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/usr/share/pipelight/configs/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] sandbox not found or not installed!
[PIPELIGHT:LIN:unity3d] using wine prefix directory /home/Beaver/.wine-pipelight.
[PIPELIGHT:LIN:unity3d] checking plugin installation - this might take some time.
[install-dependency] wine-unity3d-installer is already installed in '/home/Beaver/.wine-pipelight'.
fixme:winediag:start_process Wine Staging is a testing version containing experimental patches.
fixme:winediag:start_process Please report bugs at http://bugs.wine-staging.com (instead of winehq.org).
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\windows\\system32\\winemenubuilder.exe -a -r" (2)
wine: configuration in '/home/Beaver/.wine-pipelight' has been updated.
[PIPELIGHT:WIN:unity3d] Read dllPath 'C:\Program Files\Unity\WebPlayer\loader' and dllName 'npUnity3D32.dll' from registry
[PIPELIGHT:WIN:unity3d] embedded mode         is on.
[PIPELIGHT:WIN:unity3d] windowless mode       is off.
[PIPELIGHT:WIN:unity3d] linux windowless mode is off.
[PIPELIGHT:WIN:unity3d] force SetWindow       is off.
[PIPELIGHT:WIN:unity3d] window class hook     is off.
[PIPELIGHT:WIN:unity3d] strict draw ordering  is off.
[PIPELIGHT:WIN:unity3d] replaced API function TrackPopupMenuEx.
[PIPELIGHT:WIN:unity3d] replaced API function TrackPopupMenu.
[PIPELIGHT:WIN:unity3d] init successful!
console.error: translate-this: 
  DEPRECATED: The widget module is deprecated.  Please consider using the sdk/ui module instead.
Traceback (most recent call last):
  File "resource://gre/modules/Promise-backend.js", line 870, in Handler.prototype.process
    nextValue = this.onResolve.call(undefined, nextValue);
  File "resource://gre/modules/commonjs/sdk/addon/runner.js", line 86, in startup/</<
    run(options);
  File "resource://gre/modules/commonjs/sdk/addon/runner.js", line 145, in run
    let program = main(options.loader, options.main);
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 684, in main
    return loader.load(loader, module).exports;
  File "resource://gre/modules/commonjs/sdk/loader/cuddlefish.js", line 129, in CuddlefishLoader/options<.load
    result = load(loader, module);
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 318, in load
    evaluate(sandbox, module.uri);
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 267, in evaluate
    : loadSubScript(uri, sandbox, encoding);
  File "resource://jid0-k75tfrgfoxphfezmj9cku5ecglc-at-jetpack/translate-this/lib/main.js", line 5, in null
    var widget = require("sdk/widget");
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 591, in require
    freeze(load(loader, module));
  File "resource://gre/modules/commonjs/sdk/loader/cuddlefish.js", line 129, in CuddlefishLoader/options<.load
    result = load(loader, module);
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 318, in load
    evaluate(sandbox, module.uri);
  File "resource://gre/modules/commonjs/toolkit/loader.js", line 267, in evaluate
    : loadSubScript(uri, sandbox, encoding);
  File "resource://gre/modules/commonjs/sdk/widget.js", line 59, in null
    require("./util/deprecate").deprecateUsage(
  File "resource://gre/modules/commonjs/sdk/util/deprecate.js", line 18, in deprecateUsage
    let stack = get().slice(2);
error: cacheviewer-continued: An exception occurred.
TypeError: redeclaration of let self
resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/content/symbiont.js 156
Traceback (most recent call last):
  File "resource://gre/modules/NetUtil.jsm:123", line 17, in NetUtil_asyncOpen/<.onStopRequest
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/net/url.js:49", line 9, in readAsync/<
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:142", line 32, in resolve
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:36", line 43, in then
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 34, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:142", line 32, in resolve
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:36", line 43, in then
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 34, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:142", line 32, in resolve
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:36", line 43, in then
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 34, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:142", line 32, in resolve
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:36", line 43, in then
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 51, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:54", line 18, in effort
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 34, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:142", line 32, in resolve
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:36", line 43, in then
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:116", line 51, in resolved
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/core/promise.js:54", line 18, in effort
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/addon/runner.js:91", line 7, in onLocalizationReady
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/addon/runner.js:123", line 19, in run
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:342", line 10, in main
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:237", line 5, in load
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:210", line 19, in evaluate
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/cacheviewer-continued/lib/main.js:5", line 3, in 
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/cacheviewer-continued/lib/main.js:11", line 17, in 
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:328", line 14, in require
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:237", line 5, in load
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:210", line 19, in evaluate
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/widget.js:42", line 16, in 
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:328", line 14, in require
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:237", line 5, in load
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:210", line 19, in evaluate
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/panel.js:23", line 22, in 
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:328", line 14, in require
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:237", line 5, in load
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:210", line 19, in evaluate
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/sdk/content/content.js:13", line 20, in 
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:328", line 14, in require
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:237", line 5, in load
  File "resource://30e08c68-889e-11e0-95ef-da7e4824019b/addon-sdk/lib/toolkit/loader.js:210", line 19, in evaluate

Comment 1 beaver.pv 2015-03-16 11:58:06 UTC
Actual version installed:
# rpm -qa | grep pipelight
pipelight-0.2.8-2.fc20.x86_64
pipelight-common-0.2.8-2.fc20.noarch
pipelight-selinux-0.2.1-2.fc20.noarch

Comment 2 Fedora End Of Life 2015-05-29 13:44:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 00:15:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.